/*
	OLGA - Implementierung des OLGA-Protokolls von Th. Much fr Pure C
	------------------------------------------------------------------
	
	geschrieben 1995 von
	Thomas Knneth
	Friedrich-Neuper-Str. 2b
	90552 Rthenbach
*/

#ifndef _OLGA_
#define _OLGA_

#ifndef _MAGICTYP_
	#ifndef BOOLEAN
	   typedef enum {FALSE,TRUE} BOOLEAN;
	#endif
#endif

#define OL_SERVER	0x0001	/* Applikation ist OL-Server */
#define OL_CLIENT	0x0002	/* Applikation ist OL-Client */
#define	OL_PIPES	0x1000	/* Kommunikation via MultiTOS-Pipes */
#define	OL_START	0x2000	/* Manager kann OLGA_START ausfhren */
#define OL_MANAGER	0x4000	/* Applikation ist der OLGA-Manager */

#define OLS_TYPE		0x0001	/* [4]=0, in [5] steht ein
									XAcc-Programmtyp */
#define OLS_EXTENSION	0x0002	/* in [4]+[5] steht eine Extension
									(z.B. ".GEM") */
#define OLS_NAME		0x0003	/* in [4]+[5] steht ein Pointer auf den
									absoluten Dateinamen der zu startenden
									Applikation */

#define	OLGA_INIT			0x1236
#define	OLGA_EXIT			0x1237
#define	OLGA_UPDATE			0x1238
#define	OLGA_ACK			0x1239
#define	OLGA_RENAME			0x123a
#define	OLGA_OPENDOC		0x123b
#define	OLGA_CLOSEDOC		0x123c
#define	OLGA_LINK			0x123d
#define	OLGA_UNLINK			0x123e
#define	OLGA_UPDATED		0x123f
#define	OLGA_RENAMELINK		0x1240
#define	OLGA_LINKRENAMED	0x1241
#define	OLGA_BLOCK			0x1242
#define	OLGA_UNBLOCK		0x1243
#define	OLGA_BREAKLINK		0x1244
#define	OLGA_LINKBROKEN		0x1245
#define	OLGA_START			0x1246

/* die Funktionen */
void *global_strcpy(char *str);
int get_avserver_id(void);
int xappl_find(char *appname);
void olga_init(char *appname,int olga_flags,int olga_level,int olga_at);
void olga_exit(void);
void olga_update(char *filename);
void olga_rename(char *oldname,char *newname);
void olga_breaklink(char *filename);
void olga_opendoc(char *filename,int olga_groupid);
void olga_closedoc(int olga_groupid);
void olga_link(char *filename,int olga_groupid);
void olga_unlink(char *filename,int olga_groupid);
void olga_start(char *cmdlin,int olga_ols,...);

#endif
